// ==UserScript==
// @name     data-srcset Image Fixer
// @version  1
// @grant    none
// @match    https://kotaku.com/*
// @match    https://*.gizmodo.com/*
// ==/UserScript==

function fixImages() {
  for (let img of document.getElementsByTagName('img')) {
    let srcSet = img.getAttribute('data-srcset');
    if (srcSet) {
      let imgUrl = srcSet.split(', ').slice(-1)[0].split(' ')[0];
      img.setAttribute('src', imgUrl);
    }
  }
}

fixImages();
